# Generated by Django 2.2.3 on 2019-07-29 11:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('category', '0003_auto_20190729_1428'),
    ]

    operations = [
        migrations.CreateModel(
            name='CategoryActivity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('description_text', models.TextField()),
                ('description_picture', models.ImageField(upload_to='activity_pictures/')),
                ('name', models.CharField(max_length=10)),
                ('score_to_add', models.IntegerField()),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='category_activities', to='category.Category')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CategoryActivityQuestion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('title', models.TextField()),
                ('answer_type', models.IntegerField(choices=[(0, 'Duration'), (1, 'Integer')])),
                ('activity', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='questions', to='category.CategoryActivity')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
